'use strict';
define([
  'angular',
  'biz/yamoussoukro/modules/form/containercontainer/controllers/ContainerContainerCtrl',
  'biz/yamoussoukro/modules/form/containercontainer/directives/ContainerContainerDirective',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, ContainerContainerCtrl, ContainerContainerDirective) {
  // generation du module
  var ff = angular.module('gc_containercontainer', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
    'model',
  ]);
  // ajout service

  // ajout controller
  ff.controller('ContainerContainerCtrl', ContainerContainerCtrl);
  // ajout directive
  ff.directive('containercontainerdirective', ContainerContainerDirective);
  // ajout factory

  //route provider

  return ff;
});
